# Uses of Interface
org.eclipse.birt.report.engine.content.IRowContent

Packages that use IRowContent
Package
Description
org.eclipse.birt.report.engine.content
Defines interfaces of BIRT report items for Engine to pass from executors to emitters.
org.eclipse.birt.report.engine.emitter
Defines the interfaces of report emitters, and also provides serval general classes for emitters to output XML document, process hyperline, etc.

## Uses of IRowContent in org.eclipse.birt.report.engine.content

Methods in org.eclipse.birt.report.engine.content that return IRowContent
Modifier and Type
Method
Description
`IRowContent`
IReportContent.`createRowContent()`
create the row content.
Methods in org.eclipse.birt.report.engine.content with parameters of type IRowContent
Modifier and Type
Method
Description
`Object`
IContentVisitor.`visitRow(IRowContent row, Object value)`
visit the row content object

## Uses of IRowContent in org.eclipse.birt.report.engine.emitter

Methods in org.eclipse.birt.report.engine.emitter with parameters of type IRowContent
Modifier and Type
Method
Description
`void`
IContentEmitter.`endRow(IRowContent row)`
End row
`void`
IContentEmitter.`startRow(IRowContent row)`
Start row